#ifndef _CDynString_H
#define _CDynString_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define DYNSTRINGCHUNKSZ 1024

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class CDynString{
	public:

		operator char*();
		operator int();

		CDynString::CDynString(int Size);
		CDynString::CDynString();
		CDynString::~CDynString();

		bool InitEx(const int iInAllocAhead);
		bool Init(void);
		bool Destroy(void);
		bool AppendFile(const char *sFileName);
		bool AppendFileByHandle(FILE *hSource);
		bool AppendI(const int iNum);
		bool AppendF(const float fDat2Append);
		bool Append(const char *sDat2Append);
		bool AppendEx(const char *sDat2Append, const int iDat2AppendSz);
		bool Truncate(void);
		int sPrintF(const char *sFormat, ...);

		char *Buffer;

		int Alloc;
		int AllocAhead;
		int Length;
};

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
