///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  Copyright  NetworkDLS 2002, All rights reserved
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF 
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
// PARTICULAR PURPOSE.
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef _NTFIBERS_CPP
#define _NTFIBERS_CPP
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <ShlObj.H>
#include <Stdio.H>
#include <ShlOBJ.H>
#include <Stdlib.H>
#include <Share.H>

#include "../SharedClasses/CMemPool/CMemPool.H"

#include "Debug.H"
#include "NSWFL.H"
#include "Common.H"
#include "NTFibers.H"
#include "EventLog.H"

#ifdef _SQLESERVER
	#include "../SQLEServer/Source/Routines.H"
	#include "../SQLEServer/Source/Entry.H"
	#include "../SQLEServer/Dialogs/AlertDlg.H"
#elif _SQLECLIENT
	#include "../SQLEClient/Source/Routines.H"
	#include "../SQLEClient/Source/Entry.H"
#else
	#error "You must define either _SQLESERVER or _SQLECLIENT"
#endif

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

NTFibers gNTFibers;

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bool NTFibers::Init(void)
{
	bInit = false;

	if(!gbUseNTFibers)
	{
		return true;
	}

	return true;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bool NTFibers::Destroy(void)
{
	if(!bInit)
	{
		return true;
	}

	return true;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
